# LocalPortForwarder (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.connection.channel.direct
Class LocalPortForwarder

    java.lang.Object
      net.schmizz.sshj.connection.channel.direct.LocalPortForwarder

    public class LocalPortForwarder

extends Object

Nested Class Summary
`static class` `LocalPortForwarder.DirectTCPIPChannel`
`static class` `LocalPortForwarder.Parameters`

Constructor Summary
`LocalPortForwarder(Connection conn, LocalPortForwarder.Parameters parameters, ServerSocket serverSocket)`

Method Summary
`void` `listen()` Start listening for incoming connections and forward to remote host as a channel.
`protected LocalPortForwarder.DirectTCPIPChannel` `openChannel(Socket socket)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalPortForwarder

    public LocalPortForwarder(Connection conn,
                              LocalPortForwarder.Parameters parameters,
                              ServerSocket serverSocket)

Method Detail

### openChannel

    protected LocalPortForwarder.DirectTCPIPChannel openChannel(Socket socket)
                                                         throws TransportException,
                                                                ConnectionException

  Throws:
    `TransportException`
    `ConnectionException`

### listen

    public void listen()
                throws IOException

  Start listening for incoming connections and forward to remote host as a channel.

  Throws:
    `IOException`

Copyright © 2009-2012. All Rights Reserved.